# Uses of Interface
jdk.crac.Resource

Packages that use Resource
Package
Description
jdk.crac
Provides explicit coordination with a checkpoint/restore mechanism.

## Uses of Resource in jdk.crac

Classes in jdk.crac with type parameters of type Resource
Modifier and Type
Class
Description
`class`
`Context<R extends Resource>`
A `Resource` that allows other `Resource`s to be registered with it.
Classes in jdk.crac that implement Resource
Modifier and Type
Class
Description
`class`
`Context<R extends Resource>`
A `Resource` that allows other `Resource`s to be registered with it.
Methods in jdk.crac that return types with arguments of type Resource
Modifier and Type
Method
Description
`static Context<Resource>`
Core.`getGlobalContext()`
Gets the global `Context` for checkpoint/restore notifications.
Method parameters in jdk.crac with type arguments of type Resource
Modifier and Type
Method
Description
`abstract void`
Context.`afterRestore(Context<? extends Resource> context)`
`void`
Resource.`afterRestore(Context<? extends Resource> context)`
Invoked by a `Context` as a notification about restore.
`abstract void`
Context.`beforeCheckpoint(Context<? extends Resource> context)`
`void`
Resource.`beforeCheckpoint(Context<? extends Resource> context)`
Invoked by a `Context` as a notification about checkpoint.